Show warning in admin/info when there are pending migrations
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

The attached patch adds an indication to the admin/info page whether all database migrations have been run or not.

Some users forget to run the rake task db:migrate when they update Redmine and encounter errors. Sometimes it is difficult for

users new to Ruby on Rails to identify that the cause is that database migrations have not been run (examples: NoMethodError

undefined method set_inheritance_column for..., RE: Can't access my project on Redmine 4.1.1).

The new indication that the patch introduces gives such users a chance to know the cause. It is also useful for people who are asked

help from such users to figure out the cause.
Associated revisions

Revision 21110 - 2021-07-30 05:51 - Go MAEDA

Show warning in admin/info when there are pending migrations (#35562).

Patch by Go MAEDA.

Revision 21111 - 2021-07-30 05:52 - Go MAEDA

Update locales (#35562).

History

#1 - 2021-07-19 03:51 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2021-07-23 08:52 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#3 - 2021-07-26 23:53 - Marius BĂLTEANU

Nice improvement!

#4 - 2021-07-30 05:52 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.
